#ifdef UNDERSCORE
#define nx_icpt nx_icpt_
#define rintfp rintfp_
#define rintfv rintfv_
#define cintfp cintfp_
#define cintfv cintfv_
#endif


/* No. of character interface mnemonics */

#define NCIMN   1 

/* Maximum no. of Part B wind groups */

#define MXNPBW  19 

/* No. of real single-level interface mnemonics */

#define NRSIMN  8  

/* Total no. of real interface mnemonics 
   (single layer + all multi-layer + total number of
   counters) */

#define NRIMN   (NRSIMN + (MXNPBW*4) + 1) 

extern struct {
    int iryear ; int irmnth ; int irdays ; int irhour ; int irminu ;
    int irslat ; int irslon ; int irselv ; 
    int irnpbw ; int irhgtm[MXNPBW] ; int irdrct[MXNPBW] ;
    int irsknt[MXNPBW] ; int irrmse[MXNPBW];

} rintfp;       /* Pointers to relative locations of real interface mnemonics
                   within rimnem().  These pointers will be set by NX_IFSP
                   and then used as indices into the real interface values 
                   array rivals(). */

extern struct {
    float rivals[NRIMN];
} rintfv;                    /* Real interface values */

extern struct {
    int icrpid ; 
} cintfp;       /* Pointers to relative locations of character interface 
                   mnemonics within cimnem().  These pointers will be set by 
                   NX_IFSP and then used as indices into the character 
                   interface values array civals(). */

extern struct {
    char civals[NCIMN][8];
} cintfv;                    /* Character interface values */
