#include "geminc.h"
#include "gemprm.h"
#include "nxcmn.h"

/*
**  Function prototypes.
*/
void nx_icpt( char [][8], char[][8], int * );

char *outstr( char [] );


void nx_icpt( char rimnem[][8], char cimnem[][8], int *iret )
{

    int ierwlg;

    unsigned int jj, npbw; 

    char logmsg[201];

/*
**  Print out all of the single-level character interface values
**  that are not "missing".
*/
    for ( jj = 0; jj < NCIMN; jj++ ) {
	if ( cintfv.civals[jj][0] != CHSPAC ) {
	    sprintf( logmsg, "%s = ", outstr(cimnem[jj]) );
	    sprintf( &(logmsg[strlen(logmsg)]), "%s\n" ,
		     outstr(cintfv.civals[jj]) );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Print out all of the single-level real interface values
**  that are not "missing".
*/
    for ( jj = 0; jj < NRSIMN; jj++ ) {
	if ( ! ERMISS( rintfv.rivals[jj] ) ) {
	    sprintf( logmsg, "%s = %10.2f\n",
		     outstr(rimnem[jj]), rintfv.rivals[jj] );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Print out all of the multi-level interface values.
*/

/*
**  Part B Winds               
*/
    npbw = ( unsigned int ) rintfv.rivals[(rintfp.irnpbw)-1];
    sprintf( logmsg, "%s = %u\n",
	     outstr(rimnem[(rintfp.irnpbw)-1]), npbw );
    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );

    if ( npbw > 0 ) {
	strcpy(   logmsg,      outstr(rimnem[(rintfp.irhgtm[0])-1]) );
	strcpy( &(logmsg[8]),  outstr(rimnem[(rintfp.irdrct[0])-1]) );
	strcpy( &(logmsg[16]), outstr(rimnem[(rintfp.irsknt[0])-1]) );
	strcpy( &(logmsg[24]), outstr(rimnem[(rintfp.irrmse[0])-1]) );
	dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	for ( jj = 0; jj < npbw ; jj++ ) {
	    sprintf( logmsg,
		     "%8.1f %8.1f %8.1f %8.1f\n",
		     rintfv.rivals[(rintfp.irhgtm[jj])-1],
		     rintfv.rivals[(rintfp.irdrct[jj])-1],
		     rintfv.rivals[(rintfp.irsknt[jj])-1],  
		     rintfv.rivals[(rintfp.irrmse[jj])-1] );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Set return code.
*/
    *iret = 0;

    return;
}

char *outstr( char string[] ) {

    unsigned short ii;

    static char tmpstr[9];

/*
**  Return a null-terminated copy of string.
*/
    for ( ii = 0; ii < 8; ii++ ) {
	tmpstr[ii] = string[ii];
    }
    tmpstr[8] = '\0';

    return tmpstr;
}
