        SUBROUTINE NX_STBL ( lunstb, iret )
C************************************************************************
C* NX_STBL                                                             	*
C*                                                                     	*
C* This subroutine gets the NEXRAD station table data.          	*
C* These data contain the lat/lon and elevation of the NEXRAD           *
C* stations. 							 	*
C*                                                                     	*
C* NX_STBL  ( IRET )                                                   	*
C*                                                                     	*
C* Input variables:							*
C*      LUNSTB         INTEGER           Station table LUN		*
C*									*
C* Output variables:                                                   	*
C*      IRET           INTEGER           Return code                   	*
C*                                         0 = normal return            *
C*									*
C**									*
C* Log:							               	*
C* R. Hollern/NCEP       6/96                                          	*
C* K. Tyle/GSC		 4/97		Cleaned up			*
C* D. Kidwell/NCEP	 4/97		Fixed return code               *
C* R. Hollern/NCEP       3/99           Added check to prevent exceeding*
C*                                      marine surface table size       *
C* C. Caruso Magee/NCEP 04/2000         Modifying for Coast Guard data. *
C* C. Caruso Magee/NCEP 05/2000         Modifying for NEXRAD data.      *
C************************************************************************
       INCLUDE         'GEMPRM.PRM'
       INCLUDE         'nxcmn.cmn'
C*
C*      Set upper limit for NEXRAD surface table size.
C
        INTEGER         MTBLSZ 
        PARAMETER       ( MTBLSZ = 200 )
C
        CHARACTER   	stnnam*32, tbchrs*14, stid*8, stat*2, coun*2
C-----------------------------------------------------------------------
        iret = 0
        i    = 0
        jstn = 0
	jret = 0
C
        DO WHILE ( jret .eq. 0 .and. jstn .le. MTBLSZ )
C
C*	    Read the next record from the GEMPAK station table.
C
            CALL TB_RSTN ( lunstb, stid, stnnam, istnm, stat, coun, 
     +                     slat, slon, selv, ispri, tbchrs, jret )
C
            IF ( jret .eq. -1 ) RETURN
C
            jstn 	  = jstn + 1
            jstnid (jstn) = stid
            elev   (jstn) = selv 
            ylat   (jstn) = slat 
            ylon   (jstn) = slon 
        END DO
C*
        RETURN
        END
